<template>
  <div>
    <v-card class="overflow-hidden">
      <v-toolbar dense height="100">
        <v-row>
          <v-col class="col-8">
            <v-text-field
                label="Yeni Görev"
                color="primary"
                v-model="content"
            >
            </v-text-field>
          </v-col>
          <v-col class="col-2">
            <v-text-field
                label="Tahmini Süre"
                color="primary"
                v-model="estimatedTime"
                type="number"
            >
            </v-text-field>
          </v-col>
          <v-col class="col-2">
            <v-btn
                depressed
                tile
                color="primary"
                class="ma-0"
                @click="create"
            >
              Ekle
            </v-btn>
          </v-col>
        </v-row>
      </v-toolbar>
    </v-card>
    <v-card class="mt-5">
      <v-card-text>
        <list :todos="todos"/>
      </v-card-text>
    </v-card>
  </div>
</template>

<script>
import List from "@/components/Tasks/List";
import {mapGetters, mapActions} from 'vuex'

export default {
  name: "ToDo",
  components: {
    List
  },
  computed: {
    ...mapGetters('todo', {todos: 'todos'}),
  },
  data() {
    return {
      openCreateModal: false,
      estimatedTime: 0,
      content: ''
    }
  },
  methods: {
    ...mapActions('todo', [
      'getTodos',
      'createTodo'
    ]),
    create() {
      const payload = {
        content: this.content,
        estimatedTime: parseInt(this.estimatedTime)
      }
      this.createTodo({payload})
    }
  },
  async created() {
    await this.getTodos()
  }
}
</script>

<style>
</style>